Loading...
Searching...
No Matches
irr::scene::ICollisionCallback Class Referenceabstract

Callback interface for catching events of collisions. More...

`#include <ISceneNodeAnimatorCollisionResponse.h>`

Inheritance diagram for irr::scene::ICollisionCallback:

## Public Member Functions

virtual bool | onCollision (const ISceneNodeAnimatorCollisionResponse &animator)=0
| Will be called when a collision occurrs.
Public Member Functions inherited from irr::IReferenceCounted
| IReferenceCounted ()
| Constructor.
virtual | ~IReferenceCounted ()
| Destructor.
bool | drop () const
| Drops the object. Decrements the reference counter by one.
const c8 * | getDebugName () const
| Returns the debug name of the object.
s32 | getReferenceCount () const
| Get the reference count.
void | grab () const
| Grabs the object. Increments the reference counter by one.

## Additional Inherited Members

Protected Member Functions inherited from irr::IReferenceCounted
void | setDebugName (const c8 *newName)
| Sets the debug name of the object.

## Detailed Description

Callback interface for catching events of collisions.

Implement this interface and use ISceneNodeAnimatorCollisionResponse::setCollisionCallback to be able to be notified if a collision has occurred.

Definition at line 22 of file ISceneNodeAnimatorCollisionResponse.h.

## Member Function Documentation

## onCollision()

virtual bool irr::scene::ICollisionCallback::onCollision | ( | const ISceneNodeAnimatorCollisionResponse & | animator | ) |

pure virtual

Will be called when a collision occurrs.

See ISceneNodeAnimatorCollisionResponse::setCollisionCallback for more information.

Parameters

  animator | Collision response animator in which the collision occurred. You can call this animator's methods to find the node, collisionPoint and/or collision triangle.

Return values

  true | if the collision was handled in the animator. The animator's target node will not be stopped at the collision point, but will instead move fully to the location that triggered the collision check.
  false | if the collision was not handled in the animator. The animator's target node will be moved to the collision position.

The documentation for this class was generated from the following file:

- ISceneNodeAnimatorCollisionResponse.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0